using System.Collections.Generic;
using System.Runtime.Serialization;
using System.ComponentModel;

namespace wijmoSample1.Models.FileExplorer
{
	[DataContract]
	public class ActionResult
	{
		private int _pageCount = 1;

		/// <summary>
		/// The page count.
		/// </summary>
		[DataMember(Name = "pageCount", EmitDefaultValue=false)]
		public int PageCount
		{
			get
			{
				return _pageCount;
			}
			set
			{
				_pageCount = value;
			}
		}

		/// <summary>
		/// The page index.
		/// </summary>
		[DataMember(Name = "pageIndex", EmitDefaultValue = false)]
		public int PageIndex
		{
			get;
			set;
		}

		/// <summary>
		/// Gets and sets whether the action is success.
		/// </summary>
		[DataMember(Name = "success", EmitDefaultValue = false)]
		public bool Success
		{
			get;
			set;
		}

		/// <summary>
		/// The error.
		/// </summary>
		[DataMember(Name = "error", EmitDefaultValue = false)]
		public string Error
		{
			get;
			set;
		}

		/// <summary>
		/// The results of operating items.
		/// </summary>
		[DataMember(Name = "itemOperationResults", EmitDefaultValue = false)]
		public IList<IItemOperationResult> ItemOperationResults
		{
			get;
			set;
		}

		/// <summary>
		/// The host uri for this application.
		/// </summary>
		[DataMember(Name = "hostUri", EmitDefaultValue = false)]
		public string HostUri
		{
			get;
			set;
		}
	}
}